using System;

namespace NESUSEDNI
{
    class Program
    {
        static void Main(string[] args)
        {
            string subjedinica = Console.ReadLine();
            char[] elementi = subjedinica.ToCharArray();
            string subjedinicarev = elementi[1].ToString()+elementi[0].ToString();
            string[] brojevi = Console.ReadLine().Split();
            int br1 = int.Parse(brojevi[0]);
            int br2 = int.Parse(brojevi[1]);
            string rezultat = "";
            if (br1 == br2 || br1 == br2 + 1)
            {
                string r1 = "";
                for (int i = 0; i < br2/2; i++)
                    r1 += subjedinica;
                rezultat = r1 + r1;
                if (br2 % 2 == 1)
                    r1 += subjedinica;
                if (br1 == br2 + 1)
                    rezultat += elementi[0].ToString();
            }
            else if (br2 == br1 + 1)
            {
                string r1 = "";
                for (int i = 0; i < br1/2; i++)
                    r1 += subjedinicarev;
                rezultat = r1 + r1;
                if (br1 % 2 == 1)
                    rezultat += subjedinicarev;
                rezultat += elementi[1].ToString();
            }
            else rezultat = "nemoguce";
            Console.WriteLine(rezultat);
        }
    }
}